<?php
require($netsFileConfig['sysCoreRoot'].'Inc/m_Oa/Oa/oatask.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'oatask','sttColumnHead'=>'otat'),
			array('sttTableName'=>$this->sysTableHead.'oataskcont','sttColumnHead'=>'otat'),);
		$this->sUiName='Mana/my/my_task';
	}
	public function OnBInitial(){
		$this->sMetaTitle='任务';
		$this->sLimitCount=0;
		$this->sApp=new oatask($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL0']=' SELECT 
			A.otagtID,A.otagtName,A.otagtParid 
			FROM '.$this->sysTableHead.'oataskgroup AS A
			WHERE 1=1 AND A.otagtChecked>1 AND A.otagtID={Nets.Parid}
			ORDER BY A.otagtOrderBy DESC,A.otagtID DESC ';
		$tmpAR0['SQL0']=' SELECT 
			A.otagtID,A.otagtName,A.otagtParid 
			FROM '.$this->sysTableHead.'oataskgroup AS A
			WHERE 1=1 AND A.otagtChecked>1 AND A.otagtID={Nets.Parid}
			ORDER BY A.otagtOrderBy DESC,A.otagtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='otagtID';
		$tmpAR0['Text']='otagtName';
		$tmpAR0['Value']='otagtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'otatID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1,,-1,-1',0);
		//#Spell sql
		$tmpSQL=' SELECT 
			A.otatID,A.otatName,A.otatParid
			FROM '.$this->sysTableHead.'oatask AS A 
			WHERE 1=1 
			AND A.otatID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.otatName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!=''){
			$tmpSQL.=' AND A.otatName LIKE \'%'.$this->sSearchData[1].'%\' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.otatParid='.$this->sSearchData[2].' ';
		}
		if($this->sSearchData[3]!='-1'){
			$tmpSQL.=' AND A.otatName LIKE \'%'.$this->sSearchData[3].'%\' ';
		}
		if($this->sSearchData[4]!='-1'){
			$tmpSQL.=' AND A.otatParid='.$this->sSearchData[4].' ';
		}
		if($this->sSearchData[5]!='-1'){
			$tmpSQL.=' AND A.otatParid='.$this->sSearchData[5].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].','.$this->sSearchData[1].','.$this->sSearchData[2].','.$this->sSearchData[3].','.$this->sSearchData[4].','.$this->sSearchData[5];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'otatID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'otatName','stcoctUiName'=>'任务标题');
		
		return 0;
	}
	public function OnNormal(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT 
			* 
			FROM '.$this->sysTableHead.'oatask AS A 
			INNER JOIN '.$this->sysTableHead.'oataskcont AS B ON B.otactIndexID=A.otatID
			WHERE 1=1 AND A.otatID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
				}
				$Coun0++;
			}
		}else {}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='otatParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='otatParid' && $pFlag=='Normal'){
			$pColumn['Option']=$this->sParid1;
		}
		return $pColumn;
	}
}

?>